| args.h | Header File

Header File Index

Routines for retrieving arguments passed to the program

Functions

ArgCount
  Returns the number of arguments passed to the program.
EX_getArg
  Returns a pointer to the nth argument.
EX_getBCD
  Gets the nth floating point argument.
GetArgType
  Returns the type of the current argument.
GetFloatArg
  Returns the current argument of floating point type.
GetIntArg
  Returns the current argument of integer type.
GetLongLongArg
  Returns the current argument of double-long integer type.
GetStrnArg
  Returns the current argument of string type.
GetSymstrArg
  Returns a pointer to the terminating zero byte of the current argument of string type.
InitArgPtr
  Initializes a pointer to the first argument passed to the program.
RemainingArgCnt
  Returns the remaining number of arguments passed to the program.
SkipArg
  Skips the current argument.

Global Variables

top_estack
  Points to the top of the expression stack.

Constants

NULL
  A null-pointer value.

Predefined Types

bcd
  Represents the internal organization of floating point numbers in the format recognized by the TIOS.
Bool
  An enumeration to describe true or false values.
CESI
  Represents a pointer to a constant expression.
ESI
  Represents an index of a value on the TIOS expression stack.
ESQ
  Represents a quantum within an expression.
EStackIndex
  Represents an index of a value on the TIOS expression stack.
Quantum
  Represents a quantum within an expression.
SYM_STR
  Represents a pointer to the terminating zero byte of a string.
Tags
  An enumeration to describe types of entries on the expression stack.
ti_float
  An alias for the standard ANSI float type.

Note: The header file estack.h contains a much more powerful set of functions to manipulate the expression stack.